AurionAI Docs

Create Billing Alert Internal

Create a billing alert from an internal service (e.g., livekit-agent). Used for free-plan-exhausted notifications when the voice agent rejects a call due to quota exhaustion. Requires X-Internal-Secret header. Issue #707 §2.5.

POST
/api/internal/billing-alert

Create a billing alert from an internal service (e.g., livekit-agent).

Used for free-plan-exhausted notifications when the voice agent rejects a call due to quota exhaustion. Requires X-Internal-Secret header. Issue #707 §2.5.

Header Parameters

X-Internal-Secret?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/internal/billing-alert" \  -H "Content-Type: application/json" \  -d '{    "alert_type": "string",    "message": "string",    "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0",    "title": "string"  }'
{}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}